﻿using Microsoft.AspNetCore.Mvc;
using WebApplication3.Models;

namespace WebApplication3.Controllers
{
    public class StudentController : BaseController
    {
        public IActionResult Index()
        {
            return View();
        }

        public IActionResult All()
        {
            List<Student> students = Ctx.Students.ToList();
            ViewBag.Neco = true;
            return View(students);
        }

        [HttpGet]
        public ActionResult Edit(int id)
        {
            Student s = Ctx.Students.FirstOrDefault(p => p.Id == id);
            if (s != null)
            {
                return View(s);
            }
            else
            {
                return NotFound("Student not found");
            }
        }

        [HttpPost]
        public ActionResult Edit(Student studentEdited)
        {
            Student s = Ctx.Students.FirstOrDefault(p => p.Id ==
            studentEdited.Id);
            if (s != null)
            {
                s.Name = studentEdited.Name;
                s.Surname = studentEdited.Surname;
                s.Rocnik = studentEdited.Rocnik;
                Ctx.SaveChanges();
                return RedirectToAction("All");
            }
            else
            {
                return NotFound("Student not found");
            }
        }
    }
}
