﻿using Microsoft.EntityFrameworkCore;

namespace WebApplication3.Models
{
    public class UniversityContext : DbContext
    {
        public UniversityContext() 
        {

        }

        public DbSet<Student> Students { get; set; }
        public DbSet<Address> Addresses { get; set; }
        public DbSet<Subject> Subjects { get; set; }

        protected override void OnModelCreating(ModelBuilder mb)
        {
            mb.Entity<Student>().Property(p => p.Surname).IsRequired().HasMaxLength(100);
            mb.Entity<Student>().Property(p => p.Name).IsRequired().HasMaxLength(100);
            mb.Entity<Student>().HasMany(s => s.Subjects).WithMany(s => s.Students);
        }

        protected override void OnConfiguring(DbContextOptionsBuilder options)
        {
            options.UseLazyLoadingProxies()
            .UseSqlite(@"Data Source=U:\mujStag.db");
        }
    }
}
